Announcement Announcement Module
Collapse
No announcement yet.
Roo and Weblogic Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Roo and Weblogic

    Hello,

    This is 2 questions in 1 regarding Weblogic.

    1) Has anyone gotten an Roo app with JPA2 and Bean validation to work on Weblogic 10.3.4 or up?

    If so, how? There are a lot of problems that I can see with Hibernate Validator not working with JPA2 on Weblogic and other things.

    2) Is there an easy way to get the latest Roo releases to use the JPA1 API? We're stuck on JPA1 on Weblogic for now and I'd like to be able to use the Roo Entities and finders anyways. Could we write some kind of plugin for this?

    Thanks.

  • #2
    Hello guiills , I am having the same issue where I have to use weblogic10.3.3 , but having alot of problems while deploying it.
    Did you ever found a solution for this problem?

    Comment


    • #3
      Originally posted by guills View Post
      1) Has anyone gotten an Roo app with JPA2 and Bean validation to work on Weblogic 10.3.4 or up?

      If so, how? There are a lot of problems that I can see with Hibernate Validator not working with JPA2 on Weblogic and other things.
      I would love to hear more on this as we have the exact same problem. Roo apps with jpa2 and validation don't work on weblogic. We've tried many of the prescribed solutions including <prefer-web-inf-classes>true</prefer-web-inf-classes> in the weblogic.xml and nothing works. Metalink only recommends updating the patches. This doesn't help. As far as I can tell, Roo + JPA + Validation is a no go on Weblogic 10.3.4+

      Comment

      Working...
      X